Bug 170755 - [MAINTAINER] misc/xdg-menu: Makefile changed, OptionsNG, deleted script in Makefile
Summary: [MAINTAINER] misc/xdg-menu: Makefile changed, OptionsNG, deleted script in Ma...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-18 20:30 UTC by nemysis
Modified: 2012-08-23 10:20 UTC (History)
1 user (show)

See Also:


Attachments
xdg-menu-1.5_1.patch (1.67 KB, patch)
2012-08-18 20:30 UTC, nemysis
no flags Details | Diff
xdg-menu.diff (1.57 KB, patch)
2012-08-20 23:38 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-08-18 20:30:08 UTC
Makefile changed:

Changed all to ${PORTNAME}


OptionsNG

.if !${PORT_OPTIONS:MROX}


Added file(s):
- files/xdg-menu.in

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Michael Scheidell freebsd_committer 2012-08-19 13:12:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 2 Michael Scheidell freebsd_committer 2012-08-19 13:17:30 UTC
State Changed
From-To: open->feedback

Minor Question: please run portlint -abmt.  I noticed you renamed port? 
Was there a specific reason?  notw, portlint gives this warning: 
portlint -abmt
Comment 3 nemysis 2012-08-19 14:45:30 UTC
On Sun, 19 Aug 2012 12:17:30 GMT
scheidell@FreeBSD.org wrote:

Hello

I have used now

PORTNAME=       xdg-menu

why before must use

PKGNAMEPREFIX=  xdg-

Before was

MASTER_SITES=   SF/xdg-menu/xdg-menu/${PORTVERSION}

Now is cleaner

MASTER_SITES=   SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}


Use now files/xdg-menu.in

SUB_FILES=      ${PORTNAME}

with before PORTNAME must here use

SUB_FILES=      ${PKGNAMEPREFIX}${PORTNAME}


I think now is Makefile cleaner, only this Warning

portlint -abmt

WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX and/or PKGNAMESUFFIX.

portlint -A
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX and/or PKGNAMESUFFIX.
0 fatal errors and 3 warnings found.


Regards,
nemysis

--
Comment 4 nemysis 2012-08-20 23:38:09 UTC

-- 
Comment 5 Michael Scheidell freebsd_committer 2012-08-23 10:12:33 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2012-08-23 10:12:41 UTC
Author: scheidell
Date: Thu Aug 23 09:12:26 2012
New Revision: 302986
URL: http://svn.freebsd.org/changeset/ports/302986

Log:
  - Makefile changed
  - OptionsNG
  - Removed script from Makefile
  
  PR:		ports/170755
  Submitted by:	nemysis <nemysis@gmx.ch> (maintainer)

Added:
  head/misc/xdg-menu/files/
  head/misc/xdg-menu/files/xdg-menu.in   (contents, props changed)
Modified:
  head/misc/xdg-menu/Makefile   (contents, props changed)

Modified: head/misc/xdg-menu/Makefile
==============================================================================
--- head/misc/xdg-menu/Makefile	Thu Aug 23 09:08:52 2012	(r302985)
+++ head/misc/xdg-menu/Makefile	Thu Aug 23 09:12:26 2012	(r302986)
@@ -5,12 +5,12 @@
 # $FreeBSD$
 #
 
-PORTNAME=	menu
+PORTNAME=	xdg-menu
 PORTVERSION=	1.5
+PORTREVISION=	1
 CATEGORIES=	misc
-MASTER_SITES=	SF/xdg-menu/xdg-menu/${PORTVERSION}
-PKGNAMEPREFIX=	xdg-
-DISTNAME=	XDG-Menu-${PORTVERSION}
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}
+DISTNAME=	XDG-Menu-${DISTVERSION}
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	nemysis@gmx.ch
@@ -30,11 +30,14 @@ USE_PYTHON=	yes
 ALL_TARGET=
 NO_BUILD=	yes
 
-OPTIONS=	ROX	"Enable ROX panel applet support" no
+OPTIONS_DEFINE=	ROX
+ROX_DESC=	Enable ROX panel applet support
+
+SUB_FILES=	${PORTNAME}
 
 .include <bsd.port.options.mk>
 
-.if defined(WITHOUT_ROX)
+.if !${PORT_OPTIONS:MROX}
 post-patch:
 	@${REINPLACE_CMD} -i '' '/if not rox.confirm/,/sys.exit/s/^/#/' ${WRKSRC}/AppRun
 	@${ECHO_MSG}
@@ -45,9 +48,8 @@ post-patch:
 
 do-install:
 # Scripts
-	@${PRINTF} "#!/bin/sh\n\ncd ${DATADIR} &&\
-		./AppRun\n" > ${WRKDIR}/xdg-menu.sh
-	@${INSTALL_SCRIPT} ${WRKDIR}/xdg-menu.sh ${PREFIX}/bin/xdg-menu
+	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME} ${PREFIX}/bin
+
 # Executable and Data
 	${MKDIR} ${DATADIR}
 	@cd ${WRKSRC} && ${FIND} . | ${CPIO} -pdmu ${DATADIR}

Added: head/misc/xdg-menu/files/xdg-menu.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/misc/xdg-menu/files/xdg-menu.in	Thu Aug 23 09:12:26 2012	(r302986)
@@ -0,0 +1,7 @@
+#!/bin/sh
+#
+# $FreeBSD$
+
+echo "XDG-Menu: Starting up..."
+cd "%%DATADIR%%"
+./AppRun
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"